I need to install older version of Lightroom classic

New Here ,
Jan 13, 2021

Copy link to clipboard

Copied

The most recent two upgrade versions of Lightroom Classic CC have been giving me problems, like regular freezing. I need to install an older version but forget where I found it last time I did this. It's so not right I can no longer trust Adobe to provide newer versions with fixes for these pronblems. I no longer feel I can just upload the latest version any more. I may need to buy an older version on line and sack my monthly subscription if this continues.

Adobe Community Professional
Correct answer by WobertC | Adobe Community Professional

Perhaps @johnrellis you meant to link this one which is more appropriate for Lr-Classic?

ROLL BACK CLASSIC

 

 

TOPICS
Crash or freeze, How to, Performance, Problem or error

Views

28

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more

I need to install older version of Lightroom classic

New Here ,
Jan 13, 2021

Copy link to clipboard

Copied

The most recent two upgrade versions of Lightroom Classic CC have been giving me problems, like regular freezing. I need to install an older version but forget where I found it last time I did this. It's so not right I can no longer trust Adobe to provide newer versions with fixes for these pronblems. I no longer feel I can just upload the latest version any more. I may need to buy an older version on line and sack my monthly subscription if this continues.

Adobe Community Professional
Correct answer by WobertC | Adobe Community Professional

Perhaps @johnrellis you meant to link this one which is more appropriate for Lr-Classic?

ROLL BACK CLASSIC

 

 

TOPICS
Crash or freeze, How to, Performance, Problem or error

Views

29

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Jan 13, 2021 0
Most Valuable Participant ,
Jan 13, 2021

Copy link to clipboard

Copied

See here for how to roll back to an earlier version:

https://www.lightroomqueen.com/roll-back-update-previous/ 

 

That will let you roll back from 10.1.1 (current) to 10.1 or 10.0, any 9.0 version or any 8.0 version. Note, however, that LR 10 uses a different catalog format, so if you roll bak to 9 or 8, you'll lose changes you've made since upgrading to 10. Many people are finding that 10.0 is better than 10.1 or 10.1.1.

 

Also, note that the last non-subscription version was LR 6.14, and it has been slowly falling apart.  It crashes in the face recognition module (which has an inconvenient workaround), the map module hasn't worked for a long time, it doesn't support newer cameras released in the last few years, and it can't be installed on Mac OS 11 or 10.15.

 

[Use the blue reply button under the first post to ensure replies sort properly.]

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 13, 2021 0
Adobe Community Professional ,
Jan 14, 2021

Copy link to clipboard

Copied

Perhaps @johnrellis you meant to link this one which is more appropriate for Lr-Classic?

ROLL BACK CLASSIC

 

 

Regards. My System: Lr-Classic 10.1, Photoshop 22.1, Lightroom 4.1, Windows-10 Nikon DSLR.

Likes

Translate

Translate

Report

Report
Community Guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
Reply
Loading...
Jan 14, 2021 1